---

#TODO: create mount points?

- name: Create glusterfs fstab entries
  ansible.posix.mount:
    path: "{{item.path}}"
    src: "gluster:/{{item.name}}"
    fstype: "glusterfs"
    boot: true
    opts: "direct-io-mode=disable,_netdev,x-systemd.automount 0 0"
    state: "{{item.state}}"
  with_items: "{{fstab.gluster}}"
  become: true
